# Uses of Interface
com.sun.source.doctree.LinkTree

Packages that use LinkTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of LinkTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type LinkTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitLink(LinkTree node, P p)`
Visits a `LinkTree` node.

## Uses of LinkTree in com.sun.source.util

Methods in com.sun.source.util that return LinkTree
Modifier and Type
Method
Description
`LinkTree`
DocTreeFactory.`newLinkPlainTree(ReferenceTree ref, List<? extends DocTree> label)`
Creates a new `LinkTree` object, to represent a `{@linkplain }` tag.
`LinkTree`
DocTreeFactory.`newLinkTree(ReferenceTree ref, List<? extends DocTree> label)`
Creates a new `LinkTree` object, to represent a `{@link }` tag.
Methods in com.sun.source.util with parameters of type LinkTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitLink(LinkTree node, P p)`
Visits a `LinkTree` node.
`R`
SimpleDocTreeVisitor.`visitLink(LinkTree node, P p)`
Visits a `LinkTree` node.